<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>ClayErrorMessage</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClayErrorMessage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/api/error/ClayErrorMessage.html" target="_top">Frames</a></li>
<li><a href="ClayErrorMessage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.api.error</div>
<h2 title="Class ClayErrorMessage" class="title">Class ClayErrorMessage</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.myclay.claysdk.api.error.ClayErrorMessage</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>final class <span class="typeNameLabel">ClayErrorMessage</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#DECRYPT_FAILED_ERROR">DECRYPT_FAILED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#EMPTY_API_PUBLIC_KEY">EMPTY_API_PUBLIC_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static android.util.SparseArray&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#errorMap">errorMap</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#GENERIC_ERROR">GENERIC_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_API_PUBLIC_KEY">INVALID_API_PUBLIC_KEY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_BASE64_MKEY">INVALID_BASE64_MKEY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_MKEY_ERROR">INVALID_MKEY_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_PRIVATE_KEY_ERROR">INVALID_PRIVATE_KEY_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#PRIVATE_KEY_IS_EMPTY_ERROR">PRIVATE_KEY_IS_EMPTY_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#PRIVATE_KEY_IS_NULL_ERROR">PRIVATE_KEY_IS_NULL_ERROR</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#ClayErrorMessage--">ClayErrorMessage</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html#MapClayException-int-">MapClayException</a></span>(int&nbsp;errorCode)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="errorMap">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>errorMap</h4>
<pre>private static final&nbsp;android.util.SparseArray&lt;java.lang.String&gt; errorMap</pre>
</li>
</ul>
<a name="GENERIC_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERIC_ERROR</h4>
<pre>private static final&nbsp;java.lang.String GENERIC_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.GENERIC_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DECRYPT_FAILED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECRYPT_FAILED_ERROR</h4>
<pre>private static final&nbsp;java.lang.String DECRYPT_FAILED_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.DECRYPT_FAILED_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INVALID_PRIVATE_KEY_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_PRIVATE_KEY_ERROR</h4>
<pre>private static final&nbsp;java.lang.String INVALID_PRIVATE_KEY_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_PRIVATE_KEY_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PRIVATE_KEY_IS_NULL_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PRIVATE_KEY_IS_NULL_ERROR</h4>
<pre>private static final&nbsp;java.lang.String PRIVATE_KEY_IS_NULL_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.PRIVATE_KEY_IS_NULL_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PRIVATE_KEY_IS_EMPTY_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PRIVATE_KEY_IS_EMPTY_ERROR</h4>
<pre>private static final&nbsp;java.lang.String PRIVATE_KEY_IS_EMPTY_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.PRIVATE_KEY_IS_EMPTY_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INVALID_MKEY_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_MKEY_ERROR</h4>
<pre>private static final&nbsp;java.lang.String INVALID_MKEY_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_MKEY_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INVALID_BASE64_MKEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_BASE64_MKEY</h4>
<pre>private static final&nbsp;java.lang.String INVALID_BASE64_MKEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_BASE64_MKEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INVALID_API_PUBLIC_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_API_PUBLIC_KEY</h4>
<pre>private static final&nbsp;java.lang.String INVALID_API_PUBLIC_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_API_PUBLIC_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EMPTY_API_PUBLIC_KEY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EMPTY_API_PUBLIC_KEY</h4>
<pre>private static final&nbsp;java.lang.String EMPTY_API_PUBLIC_KEY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.myclay.claysdk.api.error.ClayErrorMessage.EMPTY_API_PUBLIC_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClayErrorMessage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClayErrorMessage</h4>
<pre>ClayErrorMessage()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="MapClayException-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapClayException</h4>
<pre>static&nbsp;java.lang.String&nbsp;MapClayException(int&nbsp;errorCode)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/api/error/ClayErrorMessage.html" target="_top">Frames</a></li>
<li><a href="ClayErrorMessage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
